Diablo 2

Discussion in 'Mac and PC Games' started by falleneyre, Apr 1, 2009.

  1. falleneyre macrumors newbie

    Joined:
    Apr 1, 2009
    #1
    So I don't know if I'm just stupid, or incapable of finding the correct way to do this, but here it goes:

    I bought the digital download of Diablo 2 last night for mac. I bought it for the specific purpose of not having to boot into windows to play it. Installed it normally, but when I try to run it, it quits unexpectedly. So I read up a bit, and people said to download the OSX native installer, which I did. Uninstalled everything, then ran the native installer. When prompted to enter my cd key, it tells me my key is invalid.

    Help?

    (p.s. I should mention that I'm running an 2.4ghZ white macbook.)
     
  2. Migsy macrumors newbie

    Joined:
    Jan 19, 2009
    Location:
    London, UK
    #2
    The keys used in Digital Downloads and the ones used by the old CDs (and therefore the seperate OSX installer) are different. The seperate "Native OSX Installer" is intended for people with the old CDs, which are now incompatible with Leopard.

    As for your crashing problem, here is a thread from a few days ago: http://forums.macrumors.com/showthread.php?t=673768
     
  3. falleneyre thread starter macrumors newbie

    Joined:
    Apr 1, 2009
    #3
    ah jeez I missed that topic. sorry about that T_T

    worked perfectly though, thanks for the help and quick reply ;)
     
  4. kkat69 macrumors 68020

    kkat69

    Joined:
    Aug 30, 2007
    Location:
    Atlanta, Ga
    #4
    Wait are you saying the 'old cd's' with the Native OSX Installer are incompatible with Leopard, cuz I'm running Diablo 2 and LOD with the old cd's and using the installer download from bliz on 10.5.6.
     
  5. Migsy macrumors newbie

    Joined:
    Jan 19, 2009
    Location:
    London, UK
    #5
    The way I did it was:

    Log into Blizzard Store
    Add my "old" Diablo 2 key
    This unlocks the digital download, with new CD key.

    Works a treat, don't even touch my old CDs anymore.
     
  6. Migsy macrumors newbie

    Joined:
    Jan 19, 2009
    Location:
    London, UK
    #6
    To claify - as far as I know, it's the installer on the old diablo cds that does not work properly with leopard, hence the need for the seperate installer.
     

Share This Page